%global	gem_name	contracts
Name:		rubygem-%{gem_name}
Version:	0.17
Release:	1
Summary:	Contracts for Ruby
License:	BSD-2-Clause
URL:		http://egonschiele.github.io/contracts.ruby/
Source0:	https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires:  ruby(release) 	rubygems-devel 	ruby 	rubygem(rspec) >= 3
BuildArch:      noarch
%description
This library provides contracts for Ruby. Contracts let you clearly express
how your code behaves, and free you from writing tons of boilerplate,
defensive code.

%package	doc
Summary:	Documentation for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:	noarch
%description    doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# Ruby3.2 removes Fixnum
# https://github.com/egonSchiele/contracts.ruby/issues/300
sed -i spec/fixtures/fixtures.rb -e 's|Fixnum|Integer|'

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
	%{buildroot}%{gem_dir}/
rm -f %{buildroot}%{gem_cache}
pushd %{buildroot}%{gem_instdir}
rm -rf \
	.[^.]* \
	Gemfile \
	Rakefile \
	*gemspec \
	*yml \
	features/ \
	script/ \
	spec/ \
	%{nil}

%check
pushd .%{gem_instdir}
rspec spec/
popd

%files
%dir	%{gem_instdir}
%license	%{gem_instdir}/LICENSE
%doc		%{gem_instdir}/CHANGELOG.markdown
%doc		%{gem_instdir}/README.md
%doc		%{gem_instdir}/TODO.markdown
%doc		%{gem_instdir}/TUTORIAL.md
%{gem_libdir}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/benchmarks/

%changelog
* Mon Nov 13 2023 wangkai <13474090681@163.com> - 0.17-1
- Update to 0.17

* Wed Aug 02 2023 Ge Wang <wang__ge@126.com> - 0.16.0-4
- Remove deprecated const fixnum due to ruby updated

* Tue May 10 2022 yaoxin <yaoxin30@h-partners.com> - 0.16.0-3
- License compliance rectification

* Tue Feb 22 2022 chenchen <chen_aka_jan@163.com> - 0.16.0-2
- fix build error by upgrading to ruby3

* Tue Aug 18 2020 wanglin <wanglin175@huawei.com> - 0.16.0-1
- package init
